
var accion = document.editarUsuarioMovilForm.accion.value;


	/********************************* BOTON VOLVER  ****************************************************************/
	$("#bt_Volver").bind("click", volver);
	
	function volver(){
		if ($("#ventanaOrigen").val()=="mantUsuariosMovil"){
			window.location = "/aa20bMaqPartesWar/usuariosRolesMovil/maintVolver";	
		}else{
			history.back();	
		}

	}
	/********************************* FIN VOLVER  ****************************************************************/

	
	
	
	$("#imgBuscarRoles").rup_tooltip({
		content: {
		text: $.rup.i18n.app.nuevo.ventanaSeleccion
		}
	});
	
	$("#imgBuscarTecnicos").rup_tooltip({
		content: {
		text: $.rup.i18n.app.nuevo.ventanaSeleccion
		}
	});

	function btn_BuscarRoles(){
		var urlRoles="";
		urlRoles="../usuariosRolesMovil/obtenerRoles";
		
		$("#idTablaRoles").empty();
		var textoBaja="";
		//Obtener la lista de Servicios
		$.ajax({
			type: "POST",
			url: urlRoles,
			success: function(data){
				var miselect=$("#idTablaRoles");
				$("#idTablaRoles").empty();
	            for (var i=0; i<data.length; i++) {
	            	var descripcion = "";
            		textoBaja= "&nbsp";
	              	descripcion =  textoBaja + data[i].descRol;
	              	miselect.append('<option value="' + data[i].idRolGmao + '">' + descripcion + '</option>');
	             	}								  
				},
			  dataType: "json"
			});

		
		//Mostrar la ventana de lupa Servicios
		$("#lupaRoles").rup_dialog({      
			type: jQuery.rup.dialog.DIV,
			modal:true,
	        height:300,
	        width:450,  
	        resizable:false,
	        title:$.rup.i18n.app.comun.serviciosVigentes,
	        autoOpen:true,
	        showLoading:true,
	        async:false, 
	        zIndex: -1,
	        buttons:[{
		        	id: "aceptarlupaRoles",
		        	text: $.rup.i18n.base.rup_global.aceptar,
		        	click: function() {
		        		//Pintar el texto de servicio 
		        		$("#rol").val($("#idTablaRoles option:selected").val());
		        		var texto = $("#idTablaRoles option:selected").html();
		        		texto = texto.replace(/&nbsp;/g, "");
		        		$("#textoRol").val(texto);
		        		$("#lupaRoles").rup_dialog("close");
	        		}
	        	},
		        {
		    		id: "cerrarlupaRoles",
		    		text: $.rup.i18n.base.rup_global.cancelar,
		        	click: function() {
		        		$("#lupaRoles").rup_dialog("close");
		        	},
		        	btnType:$.rup.dialog.LINK
	        	}]
	      });
	   

	}
	
	
	function btn_BuscarTecnicos(){
		var urlRoles="";
		urlRoles="../usuariosRolesMovil/obtenerTecnicos";
		
		$("#idTablaTecnicos").empty();
		var textoBaja="";
		//Obtener la lista de Servicios
		$.ajax({
			type: "POST",
			url: urlRoles,
			success: function(data){
				var miselect=$("#idTablaTecnicos");
				$("#idTablaTecnicos").empty();
	            for (var i=0; i<data.length; i++) {
	            	var descripcion = "";
            		textoBaja= "&nbsp";
	              	descripcion =  textoBaja + data[i].nombre;
	              	miselect.append('<option value="' + data[i].idtecnico + '">' + descripcion + '</option>');
	             	}								  
				},
			  dataType: "json"
			});

		
		//Mostrar la ventana de lupa Servicios
		$("#lupaTecnicos").rup_dialog({      
			type: jQuery.rup.dialog.DIV,
			modal:true,
	        height:300,
	        width:450,  
	        resizable:false,
	        title:$.rup.i18n.app.comun.serviciosVigentes,
	        autoOpen:true,
	        showLoading:true,
	        async:false, 
	        zIndex: -1,
	        buttons:[{
		        	id: "aceptarlupaTecnicos",
		        	text: $.rup.i18n.base.rup_global.aceptar,
		        	click: function() {
		        		//Pintar el texto de servicio 
		        		$("#idTecnico").val($("#idTablaTecnicos option:selected").val());
		        		var texto = $("#idTablaTecnicos option:selected").html();
		        		texto = texto.replace(/&nbsp;/g, "");
		        		$("#textoTecnico").val(texto);
		        		$("#lupaTecnicos").rup_dialog("close");
	        		}
	        	},
		        {
		    		id: "cerrarlupaTecnicos",
		    		text: $.rup.i18n.base.rup_global.cancelar,
		        	click: function() {
		        		$("#lupaTecnicos").rup_dialog("close");
		        	},
		        	btnType:$.rup.dialog.LINK
	        	}]
	      });
	   

	}
	
/********************************* GUARDAR  ****************************************************************/	
	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	if (accion == "NUEVO") {
		$("#bt_guardar").bind("click", guardarNuevaUsuarioMovil);
	}else{
		$("#bt_eliminar").bind("click", confirmarEliminar);
		$("#bt_cambioPass").bind("click",cambiarPassword);
		$("#imgBuscarRoles").hide();
		$("#imgBuscarTecnico").hide();
	}
	
	
		
	function guardarNuevaUsuarioMovil() {	
		//Comrpobamos que ha introducido la misma contraseña en los dos campos
		if($("#passwordHash").val() == $("#passwordHashR").val()){
			//Comprobamos que no exista ya un usuario con ese movil
			var login = $("#login").val();
			$.ajax({
				  type: "POST",				  
				  url: "../usuariosRolesMovil/comprobarExistenciaUsuarioMovil",
				  data:  { loginUsuario:login },
				  beforeSend : function(data) {
						//Mostrar div de sincronizando
				  },
				  success: function(data4){					 
					 if(data4){
						 $.rup_messages("msgError", { 
					 			title: $.rup.i18n.app.comun.control,
						 		message: $.rup.i18n.app.accionesRegistros.errorLoginExiste
						 	});
					 }else{
						 var properties={
									url:"../usuariosRolesMovil/addNuevoUsuarioMovil",
									feedback:$("#feedbackEditarUsuarioMovil"),
									useJsonIfPossible: true,
									 error: function(data) {
										 alert(data.responseText);
										 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
									 },
									 success: function(){					 					
										 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.guardadook + "</strong></p>");       		
							        	   document.editarUsuarioMovilForm.accion.value = "MODIFICAR";
									        window.location = "/aa20bMaqPartesWar/usuariosRolesMovil/maintGestionUsuarios";	
									 },
									 validate: {
										 rules: {
											 "login":{required:true},
											 "passwordHash":{required:true},
											 "passwordHashR":{required:true},
											 "textoRol" : {required:true},
											 "textoTecnico" : {required:true}
										 }
									 }
									};
									$("#editarUsuarioMovilForm").rup_form(properties);				
									$("#editarUsuarioMovilForm").submit();
					 }
				  },
				  error: function() {
				  },
				  dataType: "json"
				});
		}else{
			mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorPassNoCoincide + "</strong></p>");
		}
		
	}
	
	function confirmarEliminar (){

		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesUsuarios.eliminar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaBorrar"),
			OKFunction: function(){
				eliminarUsuarioMovil();		
			},
			CANCELFunction : function(){
			}
			});
	}
	
	function eliminarUsuarioMovil () {		
		
		var properties=
		{
			url:"../usuariosRolesMovil/eliminaUsuarioMovil",
			feedback:$("#feedbackEditarUsuarioMovil"),
			useJsonIfPossible: true,
			 error: function(data) {					
				 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.erroreliminar + "</strong></p>");
			 },
			 success: function(){					 					
				 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.eliminadook + "</strong></p>");   
				 window.location = "/aa20bMaqPartesWar/usuariosRolesMovil/maintVolver";	
			 }
		};
		

		//Guardar lo cambios
		$("#editarUsuarioMovilForm").rup_form(properties);				
		$("#editarUsuarioMovilForm").submit();
		
	}
	
	function cambiarPassword(){
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesUsuarios.modificar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaModificar"),
			OKFunction: function(){
				//Comrpobamos que ha introducido la misma contraseña en los dos campos
				if($("#passwordHash").val() == $("#passwordHashR").val()){
					var properties=
					{
						url:"../usuariosRolesMovil/modificaPassUsuarioMovil",
						feedback:$("#feedbackEditarUsuarioMovil"),
						useJsonIfPossible: true,
						 error: function(data) {					
							 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.erroreliminar + "</strong></p>");
						 },
						 success: function(){					 					
							 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.eliminadook + "</strong></p>");   
							 window.location = "/aa20bMaqPartesWar/usuariosRolesMovil/maintGestionUsuarios";	
						 },
						 validate: {
							 rules: {
								 "login":{required:true},
								 "passwordHash":{required:true},
								 "passwordHashR":{required:true}
							 }
						 }
					};
					
					//Guardar lo cambios
					$("#editarUsuarioMovilForm").rup_form(properties);				
					$("#editarUsuarioMovilForm").submit();
				}else{
					mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorPassNoCoincide + "</strong></p>");
				}
				

			},
			CANCELFunction : function(){
			}
			});
	}
	/********************************* FIN GUARDAR  ****************************************************************/
	
	
	function formaArrayJson (lista) {
		var listaJson = "";
		for (i=0; i<lista.length; i++ ) {
			listaJson += lista[i];			
			if (i!= (lista.length - 1) ) {
				listaJson += ",";
			}		
		}			
		return listaJson;
	}
	
	
	
	/********************************* FEEDBACK MENSAJES OK  ****************************************************************/
	
	function mensajeInfo (texto) {
		 var properties = {
   				type: "ok",
   				fadeSpeed: 600,
   				gotoTop: false,
   				block: false,
   				closeLink: false
   			};
   	//	var texto = "<p><strong>" +  $.rup.i18n.app.feedbackNuevoUsuarioIncidenciaGuardada.modificadook + "</strong></p>";
   		$("#feedbackEditarUsuarioMovil").rup_feedback (properties);

   		$("#feedbackEditarUsuarioMovil").rup_feedback("set", texto);

   		$("#feedbackEditarUsuarioMovil").rup_feedback("show");
	}
	
	
	/* Error */
	function mensajeError (texto) {
		 var properties = {
 				type: "error",
 				fadeSpeed: 600,
 				gotoTop: false,
 				block: false,
 				closeLink: false
 			};
 	
 		$("#feedbackEditarUsuarioMovil").rup_feedback (properties);

 		$("#feedbackEditarUsuarioMovil").rup_feedback("set", texto);

 		$("#feedbackEditarUsuarioMovil").rup_feedback("show");
	}
	/********************************* FIN FEEDBACK MENSAJES OK  ****************************************************************/

	

	jQuery("#feedbackEditarUsuarioMovil").rup_feedback({
		  type: "ok",                  
		  closeLink: true,                  
		  delay: 1000,                  
		  fadeSpeed: 500,                  
		  block:true          
		  }); 




	function asignarValor(){
		// Convertimos los checkbox a 0 y 1 en funcion de si están seleccionados o no
		$("input[type=checkbox]").each (function() {						
			$(this).val(this.checked ? "1" : "0");
		});
	}